NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.CurveLimitsData Class Reference

Represents a NXOpen.GeometricUtilities.CurveLimitsData More...

Inheritance diagram for NXOpen.GeometricUtilities.CurveLimitsData:
NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void ComplementArc ()
 Complements the arc More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.CurveExtendData 
EndLimit [get]
 Returns the end limit More...
 
unsafe bool FullCircle [get, set]
 Returns or sets the full circle More...
 
unsafe
NXOpen.GeometricUtilities.CurveExtendData 
StartLimit [get]
 Returns the start limit More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.CurveLimitsData

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.GeometricUtilities.CurveLimitsData.ComplementArc ( )

Complements the arc

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.GeometricUtilities.CurveLimitsData.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.CurveExtendData NXOpen.GeometricUtilities.CurveLimitsData.EndLimit
get

Returns the end limit

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.GeometricUtilities.CurveLimitsData.FullCircle
getset

Returns or sets the full circle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.CurveExtendData NXOpen.GeometricUtilities.CurveLimitsData.StartLimit
get

Returns the start limit

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.